Subject: [alpine-aports] [PATCH 1/2] main/nmap: upgrade to 7.00

From: Sören Tempel <[email-masked]>
Date: Thu, 19 Nov 2015 22:47:56 +0100

---
 main/nmap/APKBUILD                           | 35 +++++++++++-----------------
 main/nmap/nmap-4.53-uclibc++-output.cc.patch | 11 ---------
 2 files changed, 14 insertions(+), 32 deletions(-)
 delete mode 100644 main/nmap/nmap-4.53-uclibc++-output.cc.patch

diff --git a/main/nmap/APKBUILD b/main/nmap/APKBUILD
index fa9c88c..6eaa2eb 100644
--- a/main/nmap/APKBUILD
+++ b/main/nmap/APKBUILD
@@ -1,25 +1,19 @@
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Leonardo Arena <[email-masked]>
-pkgname=nmap 
-pkgver=6.47
+pkgname=nmap
+pkgver=7.00
 pkgrel=0
 pkgdesc="A network exploration tool and security/port scanner"
-url="http:/nmap.org"
+url="http://nmap.org"
 arch="all"
-license="custom:GPL"
-depends=
+license="GPL2"
+depends=""
 makedepends="libpcap-dev openssl-dev lua-dev linux-headers"
-install=
+install=""
 subpackages="$pkgname-doc"
-replaces="nmap-nse"
-source="http://nmap.org/dist/$pkgname-$pkgver.tgz"
+source="http://nmap.org/dist/$pkgname-$pkgver.tar.bz2"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-	update_config_sub || return 1
-}
-
 build() {
 	cd "$_builddir"
 	./configure \
@@ -33,6 +27,7 @@ build() {
 		--with-liblua=/usr/include \
 		--with-openssl=/usr/lib \
 		|| return 1
+
 	# fix LUA libs linking order
 	make "LUA_LIBS=../liblua/liblua.a -ldl -lm" || return 1
 }
@@ -40,11 +35,9 @@ build() {
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install
-
-	# install custom GPL2 license
-	install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+	install -Dm644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
- 
-md5sums="21577e7c7da2be170eb6c82d3e68ce5e  nmap-6.47.tgz"
-sha256sums="5a5fc2543566309d14e45b5c83c93dd5d1068a2c013de120036fabfc139f5561  nmap-6.47.tgz"
-sha512sums="056edf34599946a43060d46a34c321c5b31d78f3faca3bcb2197a1030d8a8168041f5d3b6cece328061188b26d59fbd1c54d46306c4d4868f76ede0bd65fbe24  nmap-6.47.tgz"
+
+md5sums="6cdf5d03cc3294b99d69dfca83f2f2ee  nmap-7.00.tar.bz2"
+sha256sums="9f442301c615c608a385831c3505cdfed9b0795cd100f1a258b04509802802ae  nmap-7.00.tar.bz2"
+sha512sums="f8b4368de5956698e76a2a102102feb4bd00338cf983bfbf7bcd8c941288bb4a02c45469724e8a1daed87f41536a3f16a68fc604171fe23093575ac631637351  nmap-7.00.tar.bz2"
diff --git a/main/nmap/nmap-4.53-uclibc++-output.cc.patch b/main/nmap/nmap-4.53-uclibc++-output.cc.patch
deleted file mode 100644
index 3253fc2..0000000
--- a/main/nmap/nmap-4.53-uclibc++-output.cc.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- nmap/output.cc.orig	2007-12-15 09:54:07.000000000 -0800
-+++ nmap/output.cc	2007-12-15 09:54:19.000000000 -0800
-@@ -1904,7 +1904,7 @@
- 
-   /* Compares this record to another. First compare the directory names, then
-      compare the file names. */
--  bool operator<(const struct data_file_record& other) {
-+  bool operator<(const struct data_file_record& other) const {
-     int cmp;
- 
-     cmp = dir.compare(other.dir);
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 19 Nov 2015 22:47:57 +0100

- nmap-nping: contains the optional nping binary
- nmap-ncat: contains the optional ncat binary
- nmap-nselibs: contains files for the nmap scripting engine
- nmap-scripts: contains example scripts for the nmap scripting engine
---
 main/nmap/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 41 insertions(+), 4 deletions(-)

diff --git a/main/nmap/APKBUILD b/main/nmap/APKBUILD
index 6eaa2eb..044151c 100644
--- a/main/nmap/APKBUILD
+++ b/main/nmap/APKBUILD
@@ -2,15 +2,20 @@
 # Maintainer: Leonardo Arena <[email-masked]>
 pkgname=nmap
 pkgver=7.00
-pkgrel=0
+pkgrel=1
 pkgdesc="A network exploration tool and security/port scanner"
 url="http://nmap.org"
 arch="all"
-license="GPL2"
+license="custom"
 depends=""
 makedepends="libpcap-dev openssl-dev lua-dev linux-headers"
 install=""
-subpackages="$pkgname-doc"
+subpackages="
+	$pkgname-doc
+	$pkgname-scripts
+	$pkgname-nselibs
+	$pkgname-nping
+	$pkgname-ncat"
 source="http://nmap.org/dist/$pkgname-$pkgver.tar.bz2"
 
 _builddir="$srcdir"/$pkgname-$pkgver
@@ -34,10 +39,42 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 	install -Dm644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
 
+scripts() {
+	depends="$pkgname-nselibs"
+	pkgdesc="$pkgdesc (scripts)"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir"/usr/share/nmap/
+	mv "$pkgdir"/usr/share/nmap/scripts \
+		"$subpkgdir"/usr/share/nmap/ || return 1
+}
+
+nselibs() {
+	pkgdesc="$pkgdesc (nselibs)"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir"/usr/share/nmap/
+	mv "$pkgdir"/usr/share/nmap/nse_main.lua \
+		"$pkgdir"/usr/share/nmap/nselib \
+		"$subpkgdir"/usr/share/nmap/ || return 1
+}
+
+ncat() {
+	pkgdesc="$pkgdesc (ncat tool)"
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/ncat "$subpkgdir"/usr/bin || return 1
+}
+
+nping() {
+	pkgdesc="$pkgdesc (nping tool)"
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/nping "$subpkgdir"/usr/bin || return 1
+}
+
 md5sums="6cdf5d03cc3294b99d69dfca83f2f2ee  nmap-7.00.tar.bz2"
 sha256sums="9f442301c615c608a385831c3505cdfed9b0795cd100f1a258b04509802802ae  nmap-7.00.tar.bz2"
 sha512sums="f8b4368de5956698e76a2a102102feb4bd00338cf983bfbf7bcd8c941288bb4a02c45469724e8a1daed87f41536a3f16a68fc604171fe23093575ac631637351  nmap-7.00.tar.bz2"
-- 
2.6.3

---